Package wx :: Class Log

[frames | no frames]

## Type Log

    object --+
             |
            Log

Known Subclasses:
  `LogBuffer`, `LogChain`, `LogGui`, `LogStderr`, `LogTextCtrl`, `LogWindow`, `PyLog`

Proxy of C++ Log class

Method Summary
Log | `__init__(self)`
| `__del__(self)`
| `AddTraceMask(str)` (Static method)
| `ClearTraceMasks()` (Static method)
| `Destroy(self)`
| `DontCreateOnDemand()` (Static method)
bool | `EnableLogging(doIt)` (Static method)
| `Flush(self)`
| `FlushActive()` (Static method)
Log | `GetActiveTarget()` (Static method)
LogLevel | `GetLogLevel()` (Static method)
bool | `GetRepetitionCounting()` (Static method)
wxChar | `GetTimestamp()` (Static method)
TraceMask | `GetTraceMask()` (Static method)
wxArrayString | `GetTraceMasks()` (Static method)
bool | `GetVerbose()` (Static method)
bool | `IsAllowedTraceMask(mask)` (Static method)
bool | `IsEnabled()` (Static method)
| `OnLog(level, szString, t)` (Static method)
| `RemoveTraceMask(str)` (Static method)
| `Resume()` (Static method)
Log | `SetActiveTarget(pLogger)` (Static method)
| `SetLogLevel(logLevel)` (Static method)
| `SetRepetitionCounting(bRepetCounting)` (Static method)
| `SetTimestamp(ts)` (Static method)
| `SetTraceMask(ulMask)` (Static method)
| `SetVerbose(bVerbose)` (Static method)
| `Suspend()` (Static method)
String | `TimeStamp()` (Static method)

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:39 2007 | http://epydoc.sf.net